## gnuradio 3.10.9.2

=== CMakeLists.txt ===
# Copyright 2011-2021 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "Prevented in-tree build. This is bad practice.")
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})

# Select the release build type by default to get optimization flags.
# This has to come before project() which otherwise initializes it.
# Build type can still be overridden by setting -DCMAKE_BUILD_TYPE=
set(CMAKE_BUILD_TYPE
    "Release"
    CACHE STRING "")

########################################################################
# Project setup
########################################################################
# Make sure this version matches ${GR_CMAKE_MIN_VERSION} (a variable can't be
# used here).
cmake_minimum_required(VERSION 3.8)
project(gnuradio CXX C)
enable_testing()
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Add more build types and check that requested build type is valid
include(GrBuildTypes)
gr_check_build_type(${CMAKE_BUILD_TYPE})
message(STATUS "Build type set to ${CMAKE_BUILD_TYPE}.")

# Set the build date
string(TIMESTAMP BUILD_DATE "%a, %d %b %Y %H:%M:%SZ" UTC)
string(TIMESTAMP BUILD_DATE_SHORT "%Y-%m-%d" UTC)
message(STATUS "Build date set to ${BUILD_DATE}.")

include(GrComponent)

# Set the version information here
# cmake-format: off
SET(VERSION_MAJOR 3)
SET(VERSION_API   10)
SET(VERSION_ABI   9)
SET(VERSION_PATCH 2)
include(GrVersion) #setup version info
# cmake-format: on

#Set minimum version requirements
include(GrMinReq)

########################################################################
# Setup Boost for global use (within this build)
# Do this before enabling testing support, as it depends
# on unit_test_framework
########################################################################
include(GrBoost)
gr_register_component("testing-support" ENABLE_TESTING Boost_UNIT_TEST_FRAMEWORK_FOUND)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Set wiki block docs url prefix used in grc-docs.conf (block name gets appended to end of this string)
set(GRC_DOCS_URL_PREFIX "https://wiki.gnuradio.org/index.php/")

########################################################################
# Environment setup
########################################################################
if(NOT DEFINED BOOST_ROOT)
    set(BOOST_ROOT "${CMAKE_INSTALL_PREFIX}")
endif()

########################################################################
# Import executables from a native build (for cross compiling)
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(IMPORT_EXECUTABLES)
    include(${IMPORT_EXECUTABLES})
endif(IMPORT_EXECUTABLES)

#set file that the native build will fill with exports
set(EXPORT_FILE ${PROJECT_BINARY_DIR}/ImportExecutables.cmake)
file(WRITE ${EXPORT_FILE} ) #blank the file (subdirs will append)

########################################################################
# Incorporate CMake function/macros overloading.
########################################################################

include(CMakeOverloads)

########################################################################
# Compiler settings
########################################################################

include(GrCompilerSettings)

# Record Compiler Info for record
string(TOUPPER ${CMAKE_BUILD_TYPE} GRCBTU)
set(COMPILER_INFO "")
if(MSVC)
    if(MSVC_VERSION LESS "${MSVC_MIN_VERSION}")
        message(FATAL_ERROR "MSVC Versions < minimum version ${MSVC_MIN_VERSION}")
    endif()
    set(cmake_c_compiler_version ${MSVC_VERSION})
    set(cmake_cxx_compiler_version ${MSVC_VERSION})
else()
    execute_process(COMMAND ${CMAKE_C_COMPILER} --version
                    OUTPUT_VARIABLE cmake_c_compiler_version)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} --version
                    OUTPUT_VARIABLE cmake_cxx_compiler_version)
endif(MSVC)
set(COMPILER_INFO
    "${CMAKE_C_COMPILER}:::${CMAKE_C_FLAGS_${GRCBTU}} ${CMAKE_C_FLAGS}\n${CMAKE_CXX_COMPILER}:::${CMAKE_CXX_FLAGS_${GRCBTU}} ${CMAKE_CXX_FLAGS}\n"
)

# Convert to a C string to compile and display properly
string(STRIP "${cmake_c_compiler_version}" cmake_c_compiler_version)
string(STRIP "${cmake_cxx_compiler_version}" cmake_cxx_compiler_version)
string(STRIP ${COMPILER_INFO} COMPILER_INFO)
message(STATUS "Compiler Version: ${cmake_c_compiler_version}")
message(STATUS "Compiler Flags: ${COMPILER_INFO}")
string(REPLACE "\n" " \\n" cmake_c_compiler_version ${cmake_c_compiler_version})
string(REPLACE "\n" " \\n" cmake_cxx_compiler_version ${cmake_cxx_compiler_version})
string(REPLACE "\n" " \\n" COMPILER_INFO ${COMPILER_INFO})

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX

# Install our Cmake modules into $prefix/lib/cmake/gnuradio
# See "Package Configuration Files" on page:
#    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging

if(NOT CMAKE_MODULES_DIR)
    set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

# cmake-format: off
SET(GR_RUNTIME_DIR     bin CACHE PATH "Path to install all binaries")
SET(GR_LIBRARY_DIR     lib${LIB_SUFFIX} CACHE PATH "Path to install libraries")
SET(GR_INCLUDE_DIR     include CACHE PATH "Path to install header files")
SET(GR_CMAKE_DIR       ${CMAKE_MODULES_DIR}/gnuradio)
SET(GR_DATA_DIR        share CACHE PATH "Base location for data")
SET(GR_PKG_DATA_DIR    ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package data")
SET(GR_DOC_DIR         ${GR_DATA_DIR}/doc CACHE PATH "Path to install documentation")
SET(GR_PKG_DOC_DIR     ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME}-${DOCVER} CACHE PATH "Path to install package docs")
SET(GR_MAN_DIR         ${GR_DATA_DIR}/man CACHE PATH "Path to install man pages")
SET(GR_LIBEXEC_DIR     libexec CACHE PATH "Path to install libexec files")
SET(GR_PKG_LIBEXEC_DIR ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package libexec files")
SET(GRC_BLOCKS_DIR     ${GR_PKG_DATA_DIR}/grc/blocks CACHE PATH "Path to install GRC blocks")
SET(GR_THEMES_DIR      ${GR_PKG_DATA_DIR}/themes CACHE PATH "Path to install QTGUI themes")
# cmake-format: on

# Set location of config/prefs files in /etc
# Special exception if prefix is /usr so we don't make a /usr/etc.
set(GR_CONF_DIR
    etc
    CACHE PATH "Path to install config files")
string(COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr" isusr)
if(isusr)
    set(SYSCONFDIR
        "/${GR_CONF_DIR}"
        CACHE PATH "System configuration directory")
else(isusr)
    set(SYSCONFDIR
        "${CMAKE_INSTALL_PREFIX}/${GR_CONF_DIR}"
        CACHE PATH "System configuration directory" FORCE)
endif(isusr)

set(GR_PKG_CONF_DIR
    ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d
    CACHE PATH "Path to install package configs")
set(GR_PREFSDIR
    ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d
    CACHE PATH "Path to install preference files")

option(ENABLE_PERFORMANCE_COUNTERS "Enable block performance counters" ON)
if(ENABLE_PERFORMANCE_COUNTERS)
    message(STATUS "ADDING PERF COUNTERS")
    set(GR_PERFORMANCE_COUNTERS True)
else(ENABLE_PERFORMANCE_COUNTERS)
    set(GR_PERFORMANCE_COUNTERS False)
    message(STATUS "NO PERF COUNTERS")
endif(ENABLE_PERFORMANCE_COUNTERS)

########################################################################
# Variables replaced when configuring the package config files
########################################################################
# cmake-format: off
file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_CMAKE_PATH "\${prefix}"                        exec_prefix)
file(TO_CMAKE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_CMAKE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)
file(TO_CMAKE_PATH "${SYSCONFDIR}"                     SYSCONFDIR)
file(TO_CMAKE_PATH "${GR_PREFSDIR}"                    GR_PREFSDIR)
# cmake-format: on

if(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_RUNTIME_DIR}" "${prefix}")
else(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_LIBRARY_DIR}" "${prefix}")
endif(WIN32)
file(RELATIVE_PATH SYSCONFDIR_relative_to_prefix "${prefix}" "${SYSCONFDIR}")
file(RELATIVE_PATH GR_PREFSDIR_relative_to_prefix "${prefix}" "${GR_PREFSDIR}")

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}
            CACHE PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}
            CACHE PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH
            ON
            CACHE BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Create uninstall target
########################################################################
configure_file(${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake @ONLY)

add_custom_target(uninstall ${CMAKE_COMMAND} -P
                            ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

########################################################################
# Enable python component
########################################################################
include(GrPython)
gr_python_check_module_raw("packaging" "import packaging" PACKAGING_FOUND)
if(NOT PACKAGING_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *******")
    message(STATUS "The python package packaging is missing")
    message(STATUS "This package is required for python support")
    message(STATUS "Please install python3-packaging")
    message(STATUS "or run pip3 install packaging")
    message(STATUS "************************************************")
endif()
gr_python_check_module(
    "numpy" numpy
    "LooseVersion(numpy.__version__) >= LooseVersion('${GR_NUMPY_MIN_VERSION}')"
    NUMPY_FOUND)
# Needed for automatic regeneration of some bindings
gr_python_check_module(
    "pygccxml" pygccxml
    "LooseVersion(pygccxml.__version__) >= LooseVersion('${GR_PYGCCXML_MIN_VERSION}')"
    PYGCCXML_FOUND)
if(NOT PYGCCXML_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *************************")
    message(STATUS "pygccxml is highly recommended for using gr_modtool")
    message(STATUS "and is either not present or below the minimum version "
                   ${GR_PYGCCXML_MIN_VERSION})
    message(STATUS "Only trivial bindings will be generated using gr_modtool bind ")
    message(STATUS "******************************************************************")
endif()

find_package(pybind11)
if(pybind11_FOUND)
    if(${pybind11_VERSION} VERSION_LESS ${PYBIND11_MIN_VERSION})
        message(WARNING "pybind11 version ${pybind11_VERSION} < ${PYBIND11_MIN_VERSION}")
        set(pybind11_FOUND False)
    endif()
endif()

include(GrComponent)

=== gr-digital/CMakeLists.txt ===
# Copyright 2011,2019 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

########################################################################
# Register component
########################################################################
include(GrComponent)
gr_register_component(
    "gr-digital"
    ENABLE_GR_DIGITAL
    Boost_FOUND
    ENABLE_GNURADIO_RUNTIME
    ENABLE_GR_FFT
    ENABLE_GR_FILTER
    ENABLE_GR_BLOCKS
    ENABLE_GR_ANALOG)

set(GR_PKG_DIGITAL_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/digital)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_DIGITAL)

    # Set HAVE_BUILTIN_PARITYL for use in scrambler if compiler is GNU
    if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
        add_definitions(-DHAVE_BUILTIN_PARITYL)
    endif()

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/digital)
    add_subdirectory(lib)
    add_subdirectory(docs)
    if(ENABLE_PYTHON)
        add_subdirectory(python/digital)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples)
        endif(ENABLE_EXAMPLES)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-digital.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-digital.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-digital.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_DIGITAL)

=== gr-filter/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

########################################################################
# Register component
########################################################################
include(GrComponent)

gr_register_component("gr-filter" ENABLE_GR_FILTER Boost_FOUND ENABLE_GNURADIO_RUNTIME
                      ENABLE_GR_FFT ENABLE_GR_BLOCKS)

set(GR_PKG_FILTER_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/filter)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_FILTER)
    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/filter)
    add_subdirectory(lib)

    # Check for scipy and pyqtgraph, but don't fail if they don't exist.
    gr_python_check_module_raw("pyqtgraph" "import pyqtgraph" PYQTGRAPH_FOUND)
    gr_python_check_module_raw("scipy" "import scipy" SCIPY_FOUND)

    if(NOT PYQTGRAPH_FOUND OR NOT SCIPY_FOUND)
        message(WARNING "PyQtGraph and Scipy are required to run the filter design tool, "
                        "but are not detected! Please make sure they are installed on "
                        "the target system.")
    endif(NOT PYQTGRAPH_FOUND OR NOT SCIPY_FOUND)

    if(ENABLE_PYTHON)
        add_subdirectory(python/filter)
        add_subdirectory(python/filter/design)
        add_subdirectory(python/filter/gui)
        add_subdirectory(apps)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples)
        endif(ENABLE_EXAMPLES)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)
    add_subdirectory(docs)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-filter.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-filter.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-filter.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_FILTER)

=== gr-iio/CMakeLists.txt ===
# Copyright 2021 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
find_package(libiio)
find_package(libad9361)

set(GR_IIO_DEPENDENCIES ENABLE_GNURADIO_RUNTIME ENABLE_GR_BLOCKS libiio_FOUND)

########################################################################
# Register component
########################################################################
include(GrComponent)
gr_register_component("gr-iio" ENABLE_GR_IIO ${GR_IIO_DEPENDENCIES})

if(libad9361_FOUND)
    # Sadly, libad9361 is not reliably versioned (yet?).
    # Especially Fedora ships an incompatible early version of the ad9361.h header
    # Let's check whether things compile.
    set(OLD_CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES})
    set(OLD_CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES ${libad9361_INCLUDE_DIRS})
    set(CMAKE_REQUIRED_LIBRARIES ${libad9361_LIBRARIES})
    check_cxx_source_compiles(
        "
    #include <ad9361.h>
    namespace testing
    {
      auto test_ad9361_multichip_sync = &::ad9361_multichip_sync;
      auto test_ad9361_set_bb_rate_custom_filter_manual = &::ad9361_set_bb_rate_custom_filter_manual;
    };
    int main() {}"
        libad9361_SUFFICIENT)
    if(libad9361_SUFFICIENT)
        gr_append_subcomponent("libad9361")
    endif()
    set(CMAKE_REQUIRED_INCLUDES ${OLD_CMAKE_REQUIRED_INCLUDES})
    set(CMAKE_REQUIRED_LIBRARIES ${OLD_CMAKE_REQUIRED_LIBRARIES})
endif()

set(GR_PKG_IIO_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/iio)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_IIO)

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/iio)
    add_subdirectory(lib)
    if(ENABLE_PYTHON)
        add_subdirectory(python/iio)
        add_subdirectory(examples)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-iio.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iio.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iio.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_IIO)

=== gr-pdu/CMakeLists.txt ===
# Copyright 2021 Jacob Gilbert
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################

########################################################################
# Register component
########################################################################
include(GrComponent)
gr_register_component("gr-pdu" ENABLE_GR_PDU ENABLE_GNURADIO_RUNTIME)

set(GR_PKG_PDU_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/pdu)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_PDU)

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/pdu)
    add_subdirectory(lib)
    if(ENABLE_PYTHON)
        add_subdirectory(python/pdu)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples)
        endif(ENABLE_EXAMPLES)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-pdu.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-pdu.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-pdu.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_PDU)

=== gr-qtgui/CMakeLists.txt ===
# Copyright 2010-2011,2013,2018 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrPython)

# Note: gr-qtgui requires Qt5.

find_package(Qt5 QUIET
    COMPONENTS Widgets
)
set(QT_FOUND ${Qt5Widgets_FOUND})

gr_python_check_module("PyQt5" PyQt5 True PYQT5_FOUND)

find_package(Qwt)

########################################################################
# Register component
########################################################################
include(GrComponent)
if(NOT CMAKE_CROSSCOMPILING)
    set(qt_gui_python_deps PYQT5_FOUND)
endif(NOT CMAKE_CROSSCOMPILING)

gr_register_component(
    "gr-qtgui"
    ENABLE_GR_QTGUI
    QT_FOUND
    QWT_FOUND
    ENABLE_GNURADIO_RUNTIME
    ENABLE_GR_FFT
    ENABLE_GR_FILTER
    PYTHONLIBS_FOUND
    ${qt_gui_python_deps})

set(GR_PKG_QTGUI_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/qt-gui)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_QTGUI)

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/qtgui)
    add_subdirectory(lib)
    add_subdirectory(docs)
    if(ENABLE_GR_ANALOG AND ENABLE_EXAMPLES)
        add_subdirectory(examples/c++)
    endif(ENABLE_GR_ANALOG AND ENABLE_EXAMPLES)
    if(ENABLE_PYTHON)
        add_subdirectory(python/qtgui)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples)
        endif(ENABLE_EXAMPLES)
        add_subdirectory(apps)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    set(PC_LIBS "${QWT_LIBRARIES} ${QT_LIBRARIES}")
    string(REPLACE ";" " " PC_LIBS_STR "${PC_LIBS}")
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-qtgui.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-qtgui.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-qtgui.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

    ########################################################################
    # Install the conf file
    ########################################################################
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/gr-qtgui.conf DESTINATION ${GR_PREFSDIR})

    ########################################################################
    # Install the themes (QSS) files
    ########################################################################
    install(FILES themes/plain.qss themes/dark.qss themes/alt.qss themes/projector.qss
            DESTINATION ${GR_THEMES_DIR})

endif(ENABLE_GR_QTGUI)

=== gr-uhd/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

find_package(UHD "3.9.7")
if("${UHD_VERSION}" VERSION_GREATER_EQUAL "4")
    set(UHD_FOUR_POINT_OH_RFNOC TRUE)
else()
    set(UHD_FOUR_POINT_OH_RFNOC FALSE)
endif()

########################################################################
# Register component
########################################################################
include(GrComponent)
gr_register_component(
    "gr-uhd"
    ENABLE_GR_UHD
    Boost_FOUND
    UHD_FOUND
    ENABLE_GNURADIO_RUNTIME
    ENABLE_GR_FILTER
    ENABLE_GR_BLOCKS
    ENABLE_GR_ANALOG)
set(GR_PKG_UHD_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/uhd)

gr_register_component("gr-uhd UHD 4.0 RFNoC" ENABLE_UHD_RFNOC ENABLE_GR_UHD
                      UHD_FOUR_POINT_OH_RFNOC)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_UHD)
    message(STATUS "  UHD Version: ${UHD_VERSION}")

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/uhd)
    add_subdirectory(lib)
    add_subdirectory(docs)
    if(ENABLE_EXAMPLES)
        add_subdirectory(examples/c++)
    endif(ENABLE_EXAMPLES)
    if(ENABLE_PYTHON)
        add_subdirectory(python/uhd)
        add_subdirectory(apps)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples/grc)
        endif(ENABLE_EXAMPLES)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-uhd.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-uhd.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-uhd.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_UHD)

=== gr-utils/CMakeLists.txt ===
# Copyright 2011,2012,2020 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrPython)

gr_python_check_module(
    "Mako >= ${GR_MAKO_MIN_VERSION}" mako
    "LooseVersion(mako.__version__) >= LooseVersion('${GR_MAKO_MIN_VERSION}')" MAKO_FOUND)

gr_python_check_module_raw("click" "import click" CLICK_FOUND)

gr_python_check_module_raw("click-plugins" "import click_plugins" CLICK_PLUGINS_FOUND)

########################################################################
# Register component
########################################################################
include(GrComponent)
if(NOT CMAKE_CROSSCOMPILING)
    set(utils_python_deps MAKO_FOUND)

    set(utils_modtool_deps CLICK_FOUND CLICK_PLUGINS_FOUND)

endif(NOT CMAKE_CROSSCOMPILING)

gr_register_component("gr-utils" ENABLE_GR_UTILS ENABLE_GNURADIO_RUNTIME ENABLE_PYTHON
                      ${utils_python_deps})

gr_register_component("gr_modtool" ENABLE_GR_MODTOOL ENABLE_GNURADIO_RUNTIME
                      ENABLE_PYTHON ${utils_modtool_deps})

gr_register_component("gr_blocktool" ENABLE_GR_BLOCKTOOL ENABLE_GNURADIO_RUNTIME
                      ENABLE_PYTHON)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_UTILS)

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(plot_tools)
    add_subdirectory(read_file_metadata)

    if(ENABLE_GR_BLOCKTOOL)
        add_subdirectory(blocktool)
    endif(ENABLE_GR_BLOCKTOOL)

    if(ENABLE_GR_MODTOOL)
        add_subdirectory(bindtool)
        add_subdirectory(modtool)
    endif(ENABLE_GR_MODTOOL)

endif(ENABLE_GR_UTILS)

=== gr-vocoder/CMakeLists.txt ===
# Copyright 2011,2016,2019 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
# ---- crickets

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-vocoder" ENABLE_GR_VOCODER
    ENABLE_GNURADIO_RUNTIME
    ENABLE_GR_FFT
    ENABLE_GR_BLOCKS
    ENABLE_GR_FILTER
    ENABLE_GR_ANALOG
)

SET(GR_PKG_VOCODER_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/vocoder)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_VOCODER)

########################################################################
## CODEC2 Support
########################################################################
find_package(Codec2)
if(LIBCODEC2_FOUND)
  GR_APPEND_SUBCOMPONENT("codec2")
  #message(STATUS "libcodec2 modes: ${CODEC2_MODES}")
  if(LIBCODEC2_HAS_CODEC2_MODE_700)
    #message(STATUS "libcodec2 has 700bps mode")
  endif()
  if (LIBCODEC2_HAS_FREEDV_API)
    GR_APPEND_SUBCOMPONENT("freedv")
    #message(STATUS "libcodec2 had FreeDV api modes: ${FREEDV_MODES}")
  endif()
endif(LIBCODEC2_FOUND)

########################################################################
## GSM Support
########################################################################
find_package(GSM)
if(LIBGSM_FOUND)
  GR_APPEND_SUBCOMPONENT("gsm")
endif(LIBGSM_FOUND)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/vocoder)
add_subdirectory(lib)
add_subdirectory(docs)
if(ENABLE_PYTHON)
    add_subdirectory(python/vocoder)
    if(ENABLE_EXAMPLES)
        add_subdirectory(examples)
    endif(ENABLE_EXAMPLES)
endif(ENABLE_PYTHON)
if(ENABLE_GRC)
    add_subdirectory(grc)
endif(ENABLE_GRC)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-vocoder.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-vocoder.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-vocoder.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

endif(ENABLE_GR_VOCODER)

=== gr-wavelet/CMakeLists.txt ===
# Copyright 2012,2019 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
find_package(GSL)

########################################################################
# Register component
########################################################################
include(GrComponent)

GR_REGISTER_COMPONENT("gr-wavelet" ENABLE_GR_WAVELET
    ENABLE_GNURADIO_RUNTIME
    ENABLE_GR_BLOCKS
    ENABLE_GR_ANALOG
    GSL_FOUND
)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_WAVELET)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/wavelet)
add_subdirectory(lib)
if(ENABLE_PYTHON)
    add_subdirectory(python/wavelet)
endif(ENABLE_PYTHON)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-wavelet.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-wavelet.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-wavelet.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

endif(ENABLE_GR_WAVELET)

=== gr-audio/docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(FILES README.audio DESTINATION ${GR_PKG_DOC_DIR})

=== gr-audio/lib/CMakeLists.txt ===
# Copyright 2011,2013 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

include(GrComponent)

########################################################################
# Setup library
########################################################################
add_library(gnuradio-audio audio_registry.cc)
target_link_libraries(gnuradio-audio PUBLIC gnuradio-runtime)
target_include_directories(
    gnuradio-audio PUBLIC $<INSTALL_INTERFACE:include>
                          $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>)

list(APPEND gr_audio_confs ${CMAKE_CURRENT_SOURCE_DIR}/gr-audio.conf)

########################################################################
## ALSA Support
########################################################################
find_package(ALSA)

if((ALSA_FOUND)
   AND NOT (CMAKE_SYSTEM_NAME STREQUAL "kFreeBSD")
   AND NOT (CMAKE_SYSTEM_NAME STREQUAL GNU))
    target_compile_definitions(gnuradio-audio PRIVATE -DALSA_FOUND)
    target_link_libraries(gnuradio-audio PRIVATE ALSA::ALSA)
    target_sources(
        gnuradio-audio
        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/alsa/alsa_impl.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/alsa/alsa_source.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/alsa/alsa_sink.cc)

    gr_append_subcomponent("alsa")
    list(APPEND gr_audio_confs ${CMAKE_CURRENT_SOURCE_DIR}/alsa/gr-audio-alsa.conf)
endif()

########################################################################
## OSS Support
########################################################################
find_package(OSS)

if(OSS_FOUND)
    target_compile_definitions(gnuradio-audio PRIVATE -DOSS_FOUND)
    target_link_libraries(gnuradio-audio PRIVATE OSS::OSS)
    target_sources(gnuradio-audio PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/oss/oss_source.cc
                                          ${CMAKE_CURRENT_SOURCE_DIR}/oss/oss_sink.cc)

    gr_append_subcomponent("oss")
    list(APPEND gr_audio_confs ${CMAKE_CURRENT_SOURCE_DIR}/oss/gr-audio-oss.conf)
endif(OSS_FOUND)

########################################################################
## Jack Support
########################################################################
find_package(JACK)

if(JACK_FOUND)
    target_compile_definitions(gnuradio-audio PRIVATE -DJACK_FOUND)
    target_link_libraries(gnuradio-audio PRIVATE JACK::JACK)
    target_sources(
        gnuradio-audio
        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/jack/jack_impl.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/jack/jack_source.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/jack/jack_sink.cc)
    gr_append_subcomponent("jack")
    list(APPEND gr_audio_confs ${CMAKE_CURRENT_SOURCE_DIR}/jack/gr-audio-jack.conf)
endif(JACK_FOUND)

########################################################################
## OSX Support
########################################################################
include(CheckIncludeFileCXX)
check_include_file_cxx(AudioUnit/AudioUnit.h AUDIO_UNIT_H)
check_include_file_cxx(AudioToolbox/AudioToolbox.h AUDIO_TOOLBOX_H)

if(AUDIO_UNIT_H AND AUDIO_TOOLBOX_H)
    target_compile_definitions(gnuradio-audio PRIVATE -DOSX_FOUND)
    target_link_libraries(
        gnuradio-audio PUBLIC "-framework AudioUnit" "-framework CoreAudio"
                              "-framework AudioToolbox" "-framework Carbon")
    target_sources(
        gnuradio-audio
        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/osx/osx_impl.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/osx/osx_source.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/osx/osx_sink.cc)

    gr_append_subcomponent("osx")
    set(OSX_AUDIO_VALID
        1
        CACHE INTERNAL "OSX Audio is valid")
    list(APPEND gr_audio_confs ${CMAKE_CURRENT_SOURCE_DIR}/osx/gr-audio-osx.conf)
else()
    set(OSX_AUDIO_VALID
        0
        CACHE INTERNAL "OSX Audio is not valid")
endif()

########################################################################
## PortAudio Support
########################################################################
find_package(PORTAUDIO)

if(PORTAUDIO2_FOUND)
    target_compile_definitions(gnuradio-audio PRIVATE -DPORTAUDIO_FOUND)
    target_link_libraries(gnuradio-audio PRIVATE Portaudio::Portaudio)
    target_sources(
        gnuradio-audio
        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/portaudio_impl.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/portaudio_source.cc
                ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/portaudio_sink.cc)
    gr_append_subcomponent("portaudio")
    list(APPEND gr_audio_confs
         ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/gr-audio-portaudio.conf)
endif(PORTAUDIO2_FOUND)

########################################################################
## Windows Support
########################################################################
if(WIN32)
    target_compile_definitions(gnuradio-audio PRIVATE -DWIN32_FOUND)
    target_link_libraries(gnuradio-audio PRIVATE winmm.lib)
    target_sources(
        gnuradio-audio PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/windows/windows_source.cc
                               ${CMAKE_CURRENT_SOURCE_DIR}/windows/windows_sink.cc)
    gr_append_subcomponent("windows")
    #Add Windows DLL resource file if using MSVC
    if(MSVC)
        include(${PROJECT_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-audio.rc.in
                       ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-audio.rc @ONLY)

        target_sources(gnuradio-audio
                       PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-audio.rc)
    endif()
endif(WIN32)

if(ENABLE_COMMON_PCH)
    target_link_libraries(gnuradio-audio PRIVATE common-precompiled-headers)
endif()

gr_library_foo(gnuradio-audio)
install(FILES ${gr_audio_confs} DESTINATION ${GR_PREFSDIR})

=== debian/changelog ===
gnuradio (3.10.9.2-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:16:45 +0000

gnuradio (3.10.9.2-1.1ubuntu1) noble; urgency=medium

  * Drop build dependency on shared library libqt5core5a.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 20:30:13 +0100

gnuradio (3.10.9.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:29:53 +0000

gnuradio (3.10.9.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062476

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:52:04 +0000

gnuradio (3.10.9.2-1) unstable; urgency=medium

  * New upstream release
    Fix a few memory errors in various modules.
    GRC - Fix regressions in bus connections.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 17 Jan 2024 15:51:20 -0500

=== debian/control ===
Source: gnuradio
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends-Indep: doxygen-latex
Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.16.3),
               cppzmq-dev [!hurd-amd64],
               debhelper-compat (= 13),
               dh-python,
               gir1.2-gtk-3.0,
               gir1.2-pango-1.0,
               graphviz,
               libad9361-dev [linux-any],
               libasound2-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcodec2-dev,
               libcppunit-dev,
               libfftw3-dev,
               libfontconfig-dev,
               libgmp-dev,
               libgsl-dev,
               libgsm1-dev,
               libiio-dev [linux-any],
               libjack-jackd2-dev,
               libjs-mathjax,
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqwt-qt5-dev,
               libsdl1.2-dev,
               libsndfile1-dev,
               libsoapysdr-dev,
               libspdlog-dev,
               libthrift-dev (>= 0.13.0-5) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
               libuhd-dev (>= 4),
               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 loong64 mipsel mips64el powerpc ppc64 ppc64el sh4],
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
               libvolk-dev,
               libxi-dev,
               libxrender-dev,
               ninja-build,
               pkg-config,
               portaudio19-dev,
               pybind11-dev,
               python3-click,
               python3-click-plugins,
               python3-dev,
               python3-gi,
               python3-gi-cairo,
               python3-jsonschema,
               python3-lxml,
               python3-mako,
               python3-numpy,
               python3-opengl,
               python3-packaging,
               python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
               python3-pyqt5 [!hurd-amd64],
               python3-schema,
               python3-scipy,
               python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
               python3-yaml,
               python3-zmq [!hurd-amd64],
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev,
               thrift-compiler [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
               xauth,
               xmlto
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.gnuradio.org/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gnuradio
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gnuradio.git

Package: gnuradio
Architecture: any
Depends: gnome-terminal | x-terminal-emulator,
         libjs-mathjax,
         libvolk-bin,
         python3-click,
         python3-click-plugins,
         python3-gi,
         python3-gi-cairo,
         python3-jsonschema,
         python3-lxml,
         python3-mako,
         python3-numpy,
         python3-opengl,
         python3-packaging,
         python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
         python3-pyqt5 [!hurd-amd64],
         python3-pyqtgraph,
         python3-schema,
         python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
         python3-yaml,
         python3-zmq [!hurd-amd64],
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio-dev,
            python3-matplotlib,
            python3-networkx,
            python3-pygccxml (>= 2.0),
            python3-pyqt5.qwt,
            python3-scipy,
            soapysdr-tools
Suggests: gqrx-sdr, gr-fosphor, gr-osmosdr, rtl-sdr, uhd-host
Breaks: gr-iio, gr-soapy
Replaces: gr-iio, gr-soapy
Multi-Arch: foreign
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}
Multi-Arch: foreign
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and PDF form.
 .
 HTML docs start file:///usr/share/doc/gnuradio-doc/html/index.html
 .
 PDF docs in file:///usr/share/doc/gnuradio-doc/refman.pdf.gz
 .
 Part of the main gnuradio build.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Breaks: gr-iio
Replaces: gr-iio
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio (>= ${binary:Version}),
         libboost-date-time${boost-version}-dev,
         libboost-filesystem${boost-version}-dev,
         libboost-program-options${boost-version}-dev,
         libboost-regex${boost-version}-dev,
         libboost-system${boost-version}-dev,
         libboost-test${boost-version}-dev,
         libboost-thread${boost-version}-dev,
         libcppunit-dev,
         libfftw3-dev,
         libgmp-dev,
         libgsm1-dev,
         libspdlog-dev,
         libthrift-dev [amd64 arm64 armel armhf i386],
         libvolk-dev,
         pybind11-dev,
         python3-dev,
         ${misc:Depends}
Suggests: cmake, libqwt-qt5-dev, pkg-config, qtbase5-dev
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.
 Since GNU Radio is a framework for development of SDR
 applications, you are likely to need this installed.
 .
 Part of the main gnuradio build.

Package: libgnuradio-analog3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-analog3.10.9
Breaks: libgnuradio-analog3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-audio3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-audio3.10.9
Breaks: libgnuradio-audio3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-blocks3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-blocks3.10.9
Breaks: libgnuradio-blocks3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-channels3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-channels3.10.9
Breaks: libgnuradio-channels3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio channels functions
 Some channel oriented processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-digital3.10.9
Breaks: libgnuradio-digital3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-dtv3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-dtv3.10.9
Breaks: libgnuradio-dtv3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital TV signal processing blocks
 ATSC support, gr-atsc ported to a new framework, as well as
 DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
 Part of the main gnuradio build.

Package: libgnuradio-fec3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-fec3.10.9
Breaks: libgnuradio-fec3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio forward error correction support
 Handle forward error correction processing in gnuradio.
 Implements the GNU Radio FEC API, supporting encoders and
 decoders for no-op dummmy, repetition, and convolutional classes.
 Part of the main gnuradio build.

Package: libgnuradio-fft3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-fft3.10.9
Breaks: libgnuradio-fft3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.
 Uses single precision FFT from libfftw3-single3.
 Part of the main gnuradio build.

Package: libgnuradio-filter3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-filter3.10.9
Breaks: libgnuradio-filter3.10.9 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio. Implements
 FIR, IIR and FFT filters, as well as Polyphase filterbank and
 PFB arbitrary resampler methods.
 Part of the main gnuradio build.

Package: libgnuradio-iio3.10.9t64
Provides: ${t64:Provides}
Replaces: libgnuradio-iio3.10.9
Breaks: libgnuradio-iio3.10.9 (<< ${source:Version})
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-rc/~rc/" \
 https://github.com/gnuradio/gnuradio/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
